---
lang: en
title: 'API docs: context.configinjectionmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.configinjectionmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ConfigInjectionMetadata](./context.configinjectionmetadata.md)

## ConfigInjectionMetadata interface

Injection metadata for `@config.*`

**Signature:**

```typescript
export interface ConfigInjectionMetadata extends InjectionMetadata 
```
**Extends:** [InjectionMetadata](./context.injectionmetadata.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[fromBinding?](./context.configinjectionmetadata.frombinding.md)


</td><td>


</td><td>

[BindingAddress](./context.bindingaddress.md)


</td><td>

_(Optional)_ Customize the target binding key from which the configuration is fetched. If not specified, the configuration of the current binding that contains the injection is used.


</td></tr>
<tr><td>

[propertyPath?](./context.configinjectionmetadata.propertypath.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Property path to retrieve the configuration of the target binding, for example, `rest.host`<!-- -->.


</td></tr>
</tbody></table>


